Skip to main content
POST
Generate worker join command and cloud-init

Authorizations

Authorization
string
header
required

Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens

Path Parameters

id
string
required

Cluster ID

Body

application/json
expiry_seconds
integer
default:3600

Token expiry in seconds (default 3600, max 86400)

Required range: 60 <= x <= 86400

Response

Worker bootstrap info

token
string
required

Short-lived join token

expires_at
number
required

Token expiry (unix seconds)

token_placeholder
string
required

Placeholder string in templates

cmd_template
string
required

Bootstrap command with token placeholder

cmd
string
required

Bootstrap command with real token (ready to run)

cloud_init_template
string
required

Cloud-init YAML with token placeholder

cloud_init
string
required

Cloud-init YAML with real token (ready to use)